﻿Imports Infragistics.Win.UltraWinGrid

Public Class Form1

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Me.UltraGrid1.DisplayLayout.Bands(0).Columns.Add("Unbound Column", "Unbound Column")
        Me.UltraGrid1.DisplayLayout.Bands(0).Columns.Add("Unbound Column Formatted Text", "Unbound Column Formatted Text")
        Me.UltraGrid1.DisplayLayout.Bands(0).Columns(0).Style = ColumnStyle.FormattedText
        Me.UltraGrid1.DisplayLayout.Bands(0).Columns(1).Style = ColumnStyle.FormattedText
        Me.UltraGrid1.DisplayLayout.Bands(0).Columns(2).EditorComponent = UltraFormattedTextEditor1
    End Sub

    Private Sub UltraGrid1_AfterRowActivate(sender As Object, e As EventArgs) Handles UltraGrid1.AfterRowActivate
        Dim activeRow As UltraGridRow = Me.UltraGrid1.ActiveRow

        activeRow.Cells("Bound Column").Value = "ACTIVATE Bound"

        activeRow.Cells("Unbound Column").Value = "ACTIVATE Unbound"
        activeRow.Cells("Unbound Column Formatted Text").Value = "ACTIVATE Unbound Formatted"

        Me.UltraGrid1.UpdateData()
    End Sub

    Private Sub UltraGrid1_BeforeRowDeactivate(sender As Object, e As System.ComponentModel.CancelEventArgs) Handles UltraGrid1.BeforeRowDeactivate
        Dim activeRow As UltraGridRow = Me.UltraGrid1.ActiveRow

        activeRow.Cells("Bound Column").Value = "DEACTIVATE Bound"

        activeRow.Cells("Unbound Column").Value = "DEACTIVATE Unbound"
        activeRow.Cells("Unbound Column Formatted Text").Value = "DEACTIVATE Unbound Formatted"
        Me.UltraGrid1.UpdateData()
    End Sub
End Class
